An object that builds and maintains block scope and StmtSref mapping for Dependence analysis.
More...
|
| class | AnyType |
| | Managed reference to AnyTypeNode. More...
|
| |
| class | AnyTypeNode |
| | The top type, which admits any value. More...
|
| |
| class | ArgumentInfo |
| | Managed reference to an argument descriptor. More...
|
| |
| class | ArgumentInfoObj |
| | An operator argument's name and documentation. More...
|
| |
| class | AssertStmt |
| | Managed reference to AssertStmtNode. More...
|
| |
| class | AssertStmtNode |
| | Assert condition, if an error occurs, return the error message. More...
|
| |
| class | Attrs |
| | Managed reference to AttrsNode. More...
|
| |
| class | AttrsNode |
| | Base class of all attribute class. More...
|
| |
| class | BaseFunc |
| | Managed reference to BaseFuncNode. More...
|
| |
| class | BaseFuncNode |
| | Base node of all functions. More...
|
| |
| class | Bind |
| | Managed reference to BindNode. More...
|
| |
| class | BindNode |
| | Bind a variable to a value in the enclosing scope. More...
|
| |
| class | Break |
| | Managed reference to BreakNode. More...
|
| |
| class | BreakNode |
| | A Break in control flow. More...
|
| |
| class | Call |
| | Managed reference to CallNode. More...
|
| |
| class | CallNode |
| | Call corresponds to callable invocation. More...
|
| |
| class | CallSiteLoc |
| | Explicit inline callee/caller provenance. More...
|
| |
| class | CallSiteLocNode |
| | The location of a callee together with its caller's provenance. More...
|
| |
| class | ConfigSchema |
| | Dynamic config schema for map-like options. More...
|
| |
| class | Constant |
| | Managed reference to a literal constant. More...
|
| |
| class | ConstantNode |
| | Base node for literal constants. More...
|
| |
| class | Continue |
| | Managed reference to ContinueNode. More...
|
| |
| class | ContinueNode |
| | A Continue in control flow. More...
|
| |
| class | DataTypeImm |
| | Managed reference to a data type literal. More...
|
| |
| class | DataTypeImmNode |
| | A data type literal with AnyType as its expression type. More...
|
| |
| class | DictAttrs |
| | Managed reference to DictAttrsNode. More...
|
| |
| class | DictAttrsNode |
| | Specialized attribute type that is backed by a map. The DictAttrsNode implements the Attrs behavior, its fields are directly accessible via object.field_name like other normal nodes. More...
|
| |
| class | EnvFunc |
| | Managed reference to EnvFuncObj. More...
|
| |
| class | EnvFuncObj |
| | A serializable function backed by TVM's global environment. More...
|
| |
| class | Evaluate |
| | Managed reference to EvaluateNode. More...
|
| |
| class | EvaluateNode |
| | Evaluates an expression. This is mostly used for putting a Call node into Stmt. More...
|
| |
| class | Expr |
| | Managed reference to ExprNode. More...
|
| |
| class | ExprFunctor |
| | Type-dispatched expression functor with a caller-selected signature. More...
|
| |
| class | ExprFunctor< R(const Expr &, Args...)> |
| |
| class | ExprMutator |
| | Structural Expr mutator with native overrides for core expressions and structural fallback for other objects. More...
|
| |
| class | ExprNode |
| | Base type of all the expressions. More...
|
| |
| class | ExprVisitor |
| | Structural Expr visitor with native overrides for core expressions. More...
|
| |
| class | FloatImm |
| | Managed reference class to FloatImmNode. More...
|
| |
| class | FloatImmNode |
| | Constant floating point literals in the program. More...
|
| |
| class | For |
| | Managed reference to ForNode. More...
|
| |
| class | ForNode |
| | A for loop, with possible type annotations. More...
|
| |
| class | FuncType |
| | Managed reference to FuncTypeNode. More...
|
| |
| class | FuncTypeNode |
| | Function type. More...
|
| |
| class | GenericConst |
| | Managed reference to a generic constant. More...
|
| |
| class | GenericConstNode |
| | A constant whose payload is separate from its expression type. More...
|
| |
| class | GlobalInfo |
| | Managed reference to GlobalInfoNode. More...
|
| |
| class | GlobalInfoNode |
| | GlobalInfo are globally static object that are referred by the IR itself. Base node for all global info that can appear in the IR. More...
|
| |
| class | GlobalVar |
| | Managed reference to GlobalVarNode. More...
|
| |
| class | GlobalVarNode |
| | Global variable that lives in the top-level module. More...
|
| |
| class | If |
| | Managed reference to IfNode. More...
|
| |
| class | IfNode |
| | If statement. More...
|
| |
| class | IntExpr |
| | View over a scalar signed or unsigned integer expression of any bit width. More...
|
| |
| class | IntImm |
| | Managed reference class to IntImmNode. More...
|
| |
| class | IntImmNode |
| | Constant integer literals in the program. More...
|
| |
| class | IRModule |
| | Managed reference class to IRModuleNode. More...
|
| |
| class | IRModuleNode |
| | IRModule that holds functions and type definitions. More...
|
| |
| class | LambdaExpr |
| | Managed reference to a typed staging lambda. More...
|
| |
| class | LambdaExprNode |
| | A typed staging expression representing a lambda computation. More...
|
| |
| class | Location |
| | Non-nullable source-location metadata. More...
|
| |
| class | LocationNode |
| | Base class for immutable source-location metadata. More...
|
| |
| class | MissingType |
| | Managed reference to the MissingTypeNode singleton. More...
|
| |
| class | MissingTypeNode |
| | Type information that has not been supplied or computed. More...
|
| |
| class | ObjectFunctor |
| | A dynamically dispatched functor on the type of the first argument. More...
|
| |
| class | ObjectFunctor< R(NodeArg, Args...)> |
| |
| class | ObjectMutator |
| | Native mutation with exact dispatch and structural fallback. More...
|
| |
| class | ObjectVisitor |
| | Native visiting with exact dispatch and structural fallback. More...
|
| |
| class | Op |
| | Reference-counted handle to a canonical named operator. More...
|
| |
| class | OpaqueExpr |
| | Managed reference to OpaqueExprNode. More...
|
| |
| class | OpaqueExprNode |
| | Base node for opaque construction-time expressions. More...
|
| |
| class | OpaqueType |
| | Managed reference to OpaqueTypeNode. More...
|
| |
| class | OpaqueTypeNode |
| | Type marker for opaque construction-time expressions. More...
|
| |
| class | OpAttrMap |
| | Typed live view of an Op attribute column. More...
|
| |
| class | OpDef |
| | Noncopyable temporary builder for a canonical Op; see Op for the example. More...
|
| |
| class | OpNode |
| | Metadata for a canonical primitive operator invoked through Call. More...
|
| |
| class | PrimExpr |
| | Typed reference/view over any Expr whose ExprNode::ty is PrimType. More...
|
| |
| class | PrimType |
| |
| class | PrimTypeNode |
| | Primitive data types used in the low-level IR. More...
|
| |
| class | PrimVar |
| | Checked scalar view over a VarNode. More...
|
| |
| class | PrinterConfig |
| |
| class | PrinterConfigObj |
| |
| class | PtrType |
| |
| class | PtrTypeNode |
| | Low-level raw pointer type. More...
|
| |
| class | Range |
| | Range container
More...
|
| |
| class | RangeNode |
| | range over one dimension More...
|
| |
| class | RegionStmt |
| | Managed reference to RegionStmtNode. More...
|
| |
| class | RegionStmtNode |
| | A single-body statement whose semantics are defined by an operator. Operands are evaluated in the enclosing scope. Body parameters are definitions at body entry; result variables are definitions following the region. More...
|
| |
| class | Return |
| | Managed reference to ReturnNode. More...
|
| |
| class | ReturnNode |
| | A return from the current function. More...
|
| |
| class | ScopeStack |
| | A scope stack for maintaining hierarchical state during IR visiting. More...
|
| |
| class | SeqStmt |
| | Sequence statement. More...
|
| |
| class | SeqStmtNode |
| | The container of seq statement. Represent a sequence of statements. More...
|
| |
| class | Source |
| |
| class | SourceLoc |
| | A concrete source range. More...
|
| |
| class | SourceLocNode |
| | A range in one source, retaining frontend coordinate conventions. More...
|
| |
| class | SourceMap |
| |
| class | SourceMapObj |
| | Stores locations in frontend source that generated a node. More...
|
| |
| class | SourceName |
| | The source name of a file loc. More...
|
| |
| class | SourceNameNode |
| | The name of a source fragment. More...
|
| |
| class | SourceObj |
| |
| class | StagingExpr |
| | Managed reference to a staging expression. More...
|
| |
| class | StagingExprNode |
| | Base node for traversable expressions eliminated during compilation. More...
|
| |
| class | Stmt |
| | Container of all statements. More...
|
| |
| class | StmtNode |
| | Base node of all statements. More...
|
| |
| class | StringImm |
| | Managed reference to a string literal. More...
|
| |
| class | StringImmNode |
| | A string literal with shared semantic StringType. More...
|
| |
| class | StringType |
| | Managed reference to StringTypeNode. More...
|
| |
| class | StringTypeNode |
| | Semantic string type; its physical representation is context dependent. More...
|
| |
| class | Target |
| | Managed reference class to TargetObj. More...
|
| |
| class | TargetKind |
| | Managed reference class to TargetKindObj. More...
|
| |
| class | TargetKindDef |
| | Temporary fluent builder for registering a target kind. More...
|
| |
| class | TargetKindObj |
| | Target kind, specifies the kind of the target. More...
|
| |
| class | TargetKindRegistry |
| | Process-wide registry of canonical target kinds, keyed by name. More...
|
| |
| class | TargetObj |
| | Compilation target. More...
|
| |
| class | TargetTagRegistry |
| | Registry of target configurations keyed by tag name. More...
|
| |
| class | TensorLoad |
| | Managed reference to TensorLoadNode. More...
|
| |
| class | TensorLoadNode |
| | Load a value from an indexed expression source. More...
|
| |
| class | TensorRegion |
| | Managed reference to TensorRegionNode. More...
|
| |
| class | TensorRegionNode |
| | A region of an indexed expression source. More...
|
| |
| class | TensorRegionType |
| | Managed reference to TensorRegionTypeNode. More...
|
| |
| class | TensorRegionTypeNode |
| | The type of a multi-dimensional tensor region expression. More...
|
| |
| class | TensorStore |
| | Managed reference to TensorStoreNode. More...
|
| |
| class | TensorStoreNode |
| | Store a primitive value to an indexed destination expression. More...
|
| |
| class | Tuple |
| | Managed reference to TupleNode. More...
|
| |
| class | TupleGetItem |
| | Managed reference to TupleGetItemNode. More...
|
| |
| class | TupleGetItemNode |
| | Get the index-th field out of a tuple. More...
|
| |
| class | TupleNode |
| | Tuple container. More...
|
| |
| class | TupleType |
| | Managed reference to TupleTypeNode. More...
|
| |
| class | TupleTypeNode |
| | The type of tuple values. More...
|
| |
| class | Type |
| | Managed reference to TypeNode. More...
|
| |
| class | TypedEnvFunc |
| | Please refer to TypedEnvFunc<R(Args..)>. More...
|
| |
| class | TypedEnvFunc< R(Args...)> |
| | A typed version of EnvFunc. It is backed by a GlobalFuncNode internally. More...
|
| |
| class | TypedExpr |
| | Typed reference/view over an expression whose result type is a specific Type subtype. More...
|
| |
| class | TypeNode |
| | Type is the base type of all types. More...
|
| |
| class | UniqueNameSupply |
| | Managed reference class to UniqueNameSupplyObj. More...
|
| |
| class | UniqueNameSupplyObj |
| | UniqueNameSupply can be used to generate unique names. More...
|
| |
| class | UnknownLoc |
| | Reference to the shared immutable unknown location. More...
|
| |
| class | UnknownLocNode |
| | No source-location information is available. More...
|
| |
| class | Var |
| | Managed reference to VarNode. More...
|
| |
| class | VarNode |
| | A local variable in the IR. More...
|
| |
| class | While |
| | Managed reference to WhileNode. More...
|
| |
| class | WhileNode |
| | A While loop. More...
|
| |
| class | With |
| | RAII wrapper function to enter and exit a context object similar to python's with syntax. More...
|
| |
| class | WithGroup |
| | A group of RAII contexts managed together. More...
|
| |
|
| ffi::Array< Var > | UndefinedVars (ffi::AnyView object, const ffi::Array< Var > &defs={}) |
| | Find variable uses without a preceding definition in well-formed IR.
|
| |
| template<typename TFunc > |
| TFunc | WithAttr (TFunc input, const std::string &attr_key, Any attr_value) |
| | Copy the function or module, but overrides the attribute value key with the value.
|
| |
| template<typename TFunc > |
| TFunc | WithAttrs (TFunc input, ffi::Map< ffi::String, Any > attrs) |
| | Copy the function or module, but overrides the attributes with the entries from attrs.
|
| |
| template<typename TFunc > |
| TFunc | WithoutAttr (TFunc input, const std::string &attr_key) |
| | Copy the function or module, but removes the specified attribute.
|
| |
| bool | operator== (const PrimType &lhs, const PrimType &rhs) |
| |
| bool | operator!= (const PrimType &lhs, const PrimType &rhs) |
| |
| TVM_TIRX_DLL PrimExpr | operator+ (PrimExpr a, PrimExpr b) |
| | add operator
|
| |
| TVM_TIRX_DLL PrimExpr | operator- (PrimExpr a, PrimExpr b) |
| | subtraction operator
|
| |
| TVM_TIRX_DLL PrimExpr | operator- (PrimExpr a) |
| | negation.
|
| |
| TVM_TIRX_DLL PrimExpr | operator* (PrimExpr a, PrimExpr b) |
| | multiplication operator
|
| |
| TVM_TIRX_DLL PrimExpr | operator/ (PrimExpr a, PrimExpr b) |
| | division operator
|
| |
| TVM_TIRX_DLL PrimExpr | operator<< (PrimExpr a, PrimExpr b) |
| | left shift operator
|
| |
| TVM_TIRX_DLL PrimExpr | operator>> (PrimExpr a, PrimExpr b) |
| | right shift operator
|
| |
| TVM_TIRX_DLL PrimExpr | operator> (PrimExpr a, PrimExpr b) |
| | greater
|
| |
| TVM_TIRX_DLL PrimExpr | operator>= (PrimExpr a, PrimExpr b) |
| | greater_equal
|
| |
| TVM_TIRX_DLL PrimExpr | operator< (PrimExpr a, PrimExpr b) |
| | less
|
| |
| TVM_TIRX_DLL PrimExpr | operator<= (PrimExpr a, PrimExpr b) |
| | less_equal
|
| |
| TVM_TIRX_DLL PrimExpr | operator== (PrimExpr a, PrimExpr b) |
| | equal
|
| |
| TVM_TIRX_DLL PrimExpr | operator!= (PrimExpr a, PrimExpr b) |
| | not_equal
|
| |
| TVM_TIRX_DLL PrimExpr | operator&& (PrimExpr a, PrimExpr b) |
| | and
|
| |
| TVM_TIRX_DLL PrimExpr | operator|| (PrimExpr a, PrimExpr b) |
| | or
|
| |
| TVM_TIRX_DLL PrimExpr | operator! (PrimExpr a) |
| | not
|
| |
| TVM_TIRX_DLL PrimExpr | operator& (PrimExpr a, PrimExpr b) |
| | take bitwise and of two values
|
| |
| TVM_TIRX_DLL PrimExpr | operator| (PrimExpr a, PrimExpr b) |
| | take bitwise or of two values
|
| |
| TVM_TIRX_DLL PrimExpr | operator^ (PrimExpr a, PrimExpr b) |
| | take bitwise xor of two values
|
| |
| TVM_TIRX_DLL PrimExpr | operator~ (PrimExpr a) |
| | take bitwise negation of two values
|
| |
| std::ostream & | operator<< (std::ostream &os, CallEffectKind side_effect) |
| |
| TVM_TIRX_DLL CallEffectKind | SideEffect (const Expr &expr) |
| | Analyze the runtime effects of an expression.
|
| |
| TVM_TIRX_DLL PrimExpr | add (PrimExpr a, PrimExpr b, Location loc=UnknownLoc()) |
| | add operator
|
| |
| TVM_TIRX_DLL PrimExpr | sub (PrimExpr a, PrimExpr b, Location loc=UnknownLoc()) |
| | subtraction operator
|
| |
| TVM_TIRX_DLL PrimExpr | neg (PrimExpr a, Location loc=UnknownLoc()) |
| | negation.
|
| |
| TVM_TIRX_DLL PrimExpr | mul (PrimExpr a, PrimExpr b, Location loc=UnknownLoc()) |
| | multiplication operator
|
| |
| TVM_TIRX_DLL PrimExpr | left_shift (PrimExpr a, PrimExpr b, Location loc=UnknownLoc()) |
| | left shift operator
|
| |
| TVM_TIRX_DLL PrimExpr | right_shift (PrimExpr a, PrimExpr b, Location loc=UnknownLoc()) |
| | right shift operator
|
| |
| TVM_TIRX_DLL PrimExpr | greater (PrimExpr a, PrimExpr b, Location loc=UnknownLoc()) |
| | greater
|
| |
| TVM_TIRX_DLL PrimExpr | greater_equal (PrimExpr a, PrimExpr b, Location loc=UnknownLoc()) |
| | greater_equal
|
| |
| TVM_TIRX_DLL PrimExpr | less (PrimExpr a, PrimExpr b, Location loc=UnknownLoc()) |
| | less
|
| |
| TVM_TIRX_DLL PrimExpr | less_equal (PrimExpr a, PrimExpr b, Location loc=UnknownLoc()) |
| | less_equal
|
| |
| TVM_TIRX_DLL PrimExpr | equal (PrimExpr a, PrimExpr b, Location loc=UnknownLoc()) |
| | equal
|
| |
| TVM_TIRX_DLL PrimExpr | not_equal (PrimExpr a, PrimExpr b, Location loc=UnknownLoc()) |
| | not_equal
|
| |
| TVM_TIRX_DLL PrimExpr | logical_and (PrimExpr a, PrimExpr b, Location loc=UnknownLoc()) |
| | and
|
| |
| TVM_TIRX_DLL PrimExpr | logical_or (PrimExpr a, PrimExpr b, Location loc=UnknownLoc()) |
| | or
|
| |
| TVM_TIRX_DLL PrimExpr | logical_not (PrimExpr a, Location loc=UnknownLoc()) |
| | not
|
| |
| TVM_TIRX_DLL PrimExpr | div (PrimExpr a, PrimExpr b, Location loc=UnknownLoc()) |
| | compute division in C semantics.
|
| |
| TVM_TIRX_DLL PrimExpr | truncdiv (PrimExpr a, PrimExpr b, Location loc=UnknownLoc()) |
| | compute trunc(a / b)
|
| |
| TVM_TIRX_DLL PrimExpr | truncmod (PrimExpr a, PrimExpr b, Location loc=UnknownLoc()) |
| | compute the remainder of truncdiv
|
| |
| TVM_TIRX_DLL PrimExpr | indexdiv (PrimExpr a, PrimExpr b, Location loc=UnknownLoc()) |
| | compute floor(a / b) where a and b are non-negative.
|
| |
| TVM_TIRX_DLL PrimExpr | shapediv (PrimExpr a, PrimExpr b, Location loc=UnknownLoc()) |
| | compute ceil(a / b) where a and b are non-negative.
|
| |
| TVM_TIRX_DLL PrimExpr | indexmod (PrimExpr a, PrimExpr b, Location loc=UnknownLoc()) |
| | compute the remainder floor(a / b) where a and b are non-negative.
|
| |
| TVM_TIRX_DLL PrimExpr | floordiv (PrimExpr a, PrimExpr b, Location loc=UnknownLoc()) |
| | compute floor(a / b)
|
| |
| TVM_TIRX_DLL PrimExpr | ceildiv (PrimExpr a, PrimExpr b, Location loc=UnknownLoc()) |
| | compute ceil(a / b)
|
| |
| TVM_TIRX_DLL PrimExpr | floormod (PrimExpr a, PrimExpr b, Location loc=UnknownLoc()) |
| | compute the remainder of floordiv
|
| |
| TVM_TIRX_DLL PrimExpr | max (PrimExpr a, PrimExpr b, Location loc=UnknownLoc()) |
| | take maximum of two values
|
| |
| TVM_TIRX_DLL PrimExpr | min (PrimExpr a, PrimExpr b, Location loc=UnknownLoc()) |
| | take minimum of two values
|
| |
| TVM_TIRX_DLL PrimExpr | bitwise_and (PrimExpr a, PrimExpr b, Location loc=UnknownLoc()) |
| | take bitwise and of two values
|
| |
| TVM_TIRX_DLL PrimExpr | bitwise_or (PrimExpr a, PrimExpr b, Location loc=UnknownLoc()) |
| | take bitwise or of two values
|
| |
| TVM_TIRX_DLL PrimExpr | bitwise_xor (PrimExpr a, PrimExpr b, Location loc=UnknownLoc()) |
| | take bitwise xor of two values
|
| |
| TVM_TIRX_DLL PrimExpr | bitwise_neg (PrimExpr a, Location loc=UnknownLoc()) |
| | take bitwise negation of two values
|
| |
| TVM_TIRX_DLL PrimExpr | if_then_else (PrimExpr cond, PrimExpr true_value, PrimExpr false_value, Location loc=UnknownLoc()) |
| | Conditional expression.
|
| |
| TVM_TIRX_DLL PrimExpr | likely (PrimExpr cond, Location loc=UnknownLoc()) |
| | Mark condition as likely.
|
| |
| TVM_TIRX_DLL PrimExpr | ceil (PrimExpr x, Location loc=UnknownLoc()) |
| | Round up to the nearest integral value, preserving the input type.
|
| |
| TVM_TIRX_DLL PrimExpr | log2 (PrimExpr x, Location loc=UnknownLoc()) |
| | Construct a base-two logarithm with the input's primitive type.
|
| |
| PrimExpr | operator+= (PrimExpr &a, PrimExpr b) |
| |
| PrimExpr | operator-= (PrimExpr &a, PrimExpr b) |
| |
| PrimExpr | operator*= (PrimExpr &a, PrimExpr b) |
| |
| PrimExpr | operator+ (const PrimExpr &a, float b) |
| |
| PrimExpr | operator+ (float a, const PrimExpr &b) |
| |
| PrimExpr | operator+ (int a, const PrimExpr &b) |
| |
| PrimExpr | operator+ (const PrimExpr &a, int b) |
| |
| PrimExpr | operator+ (const PrimExpr &a, double b) |
| |
| PrimExpr | operator- (const PrimExpr &a, float b) |
| |
| PrimExpr | operator- (float a, const PrimExpr &b) |
| |
| PrimExpr | operator- (int a, const PrimExpr &b) |
| |
| PrimExpr | operator- (const PrimExpr &a, int b) |
| |
| PrimExpr | operator- (const PrimExpr &a, double b) |
| |
| PrimExpr | operator* (const PrimExpr &a, float b) |
| |
| PrimExpr | operator* (float a, const PrimExpr &b) |
| |
| PrimExpr | operator* (int a, const PrimExpr &b) |
| |
| PrimExpr | operator* (const PrimExpr &a, int b) |
| |
| PrimExpr | operator* (const PrimExpr &a, double b) |
| |
| PrimExpr | operator> (const PrimExpr &a, float b) |
| |
| PrimExpr | operator> (float a, const PrimExpr &b) |
| |
| PrimExpr | operator> (int a, const PrimExpr &b) |
| |
| PrimExpr | operator> (const PrimExpr &a, int b) |
| |
| PrimExpr | operator> (const PrimExpr &a, double b) |
| |
| PrimExpr | operator>= (const PrimExpr &a, float b) |
| |
| PrimExpr | operator>= (float a, const PrimExpr &b) |
| |
| PrimExpr | operator>= (int a, const PrimExpr &b) |
| |
| PrimExpr | operator>= (const PrimExpr &a, int b) |
| |
| PrimExpr | operator>= (const PrimExpr &a, double b) |
| |
| PrimExpr | operator< (const PrimExpr &a, float b) |
| |
| PrimExpr | operator< (float a, const PrimExpr &b) |
| |
| PrimExpr | operator< (int a, const PrimExpr &b) |
| |
| PrimExpr | operator< (const PrimExpr &a, int b) |
| |
| PrimExpr | operator< (const PrimExpr &a, double b) |
| |
| PrimExpr | operator<= (const PrimExpr &a, float b) |
| |
| PrimExpr | operator<= (float a, const PrimExpr &b) |
| |
| PrimExpr | operator<= (int a, const PrimExpr &b) |
| |
| PrimExpr | operator<= (const PrimExpr &a, int b) |
| |
| PrimExpr | operator<= (const PrimExpr &a, double b) |
| |
| PrimExpr | max (const PrimExpr &a, float b, Location loc=UnknownLoc()) |
| |
| PrimExpr | max (float a, const PrimExpr &b, Location loc=UnknownLoc()) |
| |
| PrimExpr | max (int a, const PrimExpr &b, Location loc=UnknownLoc()) |
| |
| PrimExpr | max (const PrimExpr &a, int b, Location loc=UnknownLoc()) |
| |
| PrimExpr | max (const PrimExpr &a, double b, Location loc=UnknownLoc()) |
| |
| PrimExpr | min (const PrimExpr &a, float b, Location loc=UnknownLoc()) |
| |
| PrimExpr | min (float a, const PrimExpr &b, Location loc=UnknownLoc()) |
| |
| PrimExpr | min (int a, const PrimExpr &b, Location loc=UnknownLoc()) |
| |
| PrimExpr | min (const PrimExpr &a, int b, Location loc=UnknownLoc()) |
| |
| PrimExpr | min (const PrimExpr &a, double b, Location loc=UnknownLoc()) |
| |
| PrimExpr | div (const PrimExpr &a, float b, Location loc=UnknownLoc()) |
| |
| PrimExpr | div (float a, const PrimExpr &b, Location loc=UnknownLoc()) |
| |
| PrimExpr | div (int a, const PrimExpr &b, Location loc=UnknownLoc()) |
| |
| PrimExpr | div (const PrimExpr &a, int b, Location loc=UnknownLoc()) |
| |
| PrimExpr | div (const PrimExpr &a, double b, Location loc=UnknownLoc()) |
| |
| PrimExpr | add (const PrimExpr &a, float b, Location loc=UnknownLoc()) |
| |
| PrimExpr | add (float a, const PrimExpr &b, Location loc=UnknownLoc()) |
| |
| PrimExpr | add (int a, const PrimExpr &b, Location loc=UnknownLoc()) |
| |
| PrimExpr | add (const PrimExpr &a, int b, Location loc=UnknownLoc()) |
| |
| PrimExpr | add (const PrimExpr &a, double b, Location loc=UnknownLoc()) |
| |
| PrimExpr | sub (const PrimExpr &a, float b, Location loc=UnknownLoc()) |
| |
| PrimExpr | sub (float a, const PrimExpr &b, Location loc=UnknownLoc()) |
| |
| PrimExpr | sub (int a, const PrimExpr &b, Location loc=UnknownLoc()) |
| |
| PrimExpr | sub (const PrimExpr &a, int b, Location loc=UnknownLoc()) |
| |
| PrimExpr | sub (const PrimExpr &a, double b, Location loc=UnknownLoc()) |
| |
| PrimExpr | mul (const PrimExpr &a, float b, Location loc=UnknownLoc()) |
| |
| PrimExpr | mul (float a, const PrimExpr &b, Location loc=UnknownLoc()) |
| |
| PrimExpr | mul (int a, const PrimExpr &b, Location loc=UnknownLoc()) |
| |
| PrimExpr | mul (const PrimExpr &a, int b, Location loc=UnknownLoc()) |
| |
| PrimExpr | mul (const PrimExpr &a, double b, Location loc=UnknownLoc()) |
| |
| PrimExpr | greater (const PrimExpr &a, float b, Location loc=UnknownLoc()) |
| |
| PrimExpr | greater (float a, const PrimExpr &b, Location loc=UnknownLoc()) |
| |
| PrimExpr | greater (int a, const PrimExpr &b, Location loc=UnknownLoc()) |
| |
| PrimExpr | greater (const PrimExpr &a, int b, Location loc=UnknownLoc()) |
| |
| PrimExpr | greater (const PrimExpr &a, double b, Location loc=UnknownLoc()) |
| |
| PrimExpr | greater_equal (const PrimExpr &a, float b, Location loc=UnknownLoc()) |
| |
| PrimExpr | greater_equal (float a, const PrimExpr &b, Location loc=UnknownLoc()) |
| |
| PrimExpr | greater_equal (int a, const PrimExpr &b, Location loc=UnknownLoc()) |
| |
| PrimExpr | greater_equal (const PrimExpr &a, int b, Location loc=UnknownLoc()) |
| |
| PrimExpr | greater_equal (const PrimExpr &a, double b, Location loc=UnknownLoc()) |
| |
| PrimExpr | less (const PrimExpr &a, float b, Location loc=UnknownLoc()) |
| |
| PrimExpr | less (float a, const PrimExpr &b, Location loc=UnknownLoc()) |
| |
| PrimExpr | less (int a, const PrimExpr &b, Location loc=UnknownLoc()) |
| |
| PrimExpr | less (const PrimExpr &a, int b, Location loc=UnknownLoc()) |
| |
| PrimExpr | less (const PrimExpr &a, double b, Location loc=UnknownLoc()) |
| |
| PrimExpr | less_equal (const PrimExpr &a, float b, Location loc=UnknownLoc()) |
| |
| PrimExpr | less_equal (float a, const PrimExpr &b, Location loc=UnknownLoc()) |
| |
| PrimExpr | less_equal (int a, const PrimExpr &b, Location loc=UnknownLoc()) |
| |
| PrimExpr | less_equal (const PrimExpr &a, int b, Location loc=UnknownLoc()) |
| |
| PrimExpr | less_equal (const PrimExpr &a, double b, Location loc=UnknownLoc()) |
| |
| PrimExpr | indexdiv (const PrimExpr &a, int b, Location loc=UnknownLoc()) |
| |
| PrimExpr | indexdiv (int a, const PrimExpr &b, Location loc=UnknownLoc()) |
| |
| PrimExpr | indexmod (const PrimExpr &a, int b, Location loc=UnknownLoc()) |
| |
| PrimExpr | indexmod (int a, const PrimExpr &b, Location loc=UnknownLoc()) |
| |
| PrimExpr | truncdiv (const PrimExpr &a, int b, Location loc=UnknownLoc()) |
| |
| PrimExpr | truncdiv (int a, const PrimExpr &b, Location loc=UnknownLoc()) |
| |
| PrimExpr | truncmod (const PrimExpr &a, int b, Location loc=UnknownLoc()) |
| |
| PrimExpr | truncmod (int a, const PrimExpr &b, Location loc=UnknownLoc()) |
| |
| PrimExpr | floordiv (const PrimExpr &a, int b, Location loc=UnknownLoc()) |
| |
| PrimExpr | floordiv (int a, const PrimExpr &b, Location loc=UnknownLoc()) |
| |
| PrimExpr | floormod (const PrimExpr &a, int b, Location loc=UnknownLoc()) |
| |
| PrimExpr | floormod (int a, const PrimExpr &b, Location loc=UnknownLoc()) |
| |
| PrimExpr | right_shift (const PrimExpr &a, int b, Location loc=UnknownLoc()) |
| |
| PrimExpr | right_shift (int a, const PrimExpr &b, Location loc=UnknownLoc()) |
| |
| PrimExpr | left_shift (const PrimExpr &a, int b, Location loc=UnknownLoc()) |
| |
| PrimExpr | left_shift (int a, const PrimExpr &b, Location loc=UnknownLoc()) |
| |
| PrimExpr | bitwise_and (const PrimExpr &a, int b, Location loc=UnknownLoc()) |
| |
| PrimExpr | bitwise_and (int a, const PrimExpr &b, Location loc=UnknownLoc()) |
| |
| PrimExpr | bitwise_or (const PrimExpr &a, int b, Location loc=UnknownLoc()) |
| |
| PrimExpr | bitwise_or (int a, const PrimExpr &b, Location loc=UnknownLoc()) |
| |
| PrimExpr | bitwise_xor (const PrimExpr &a, int b, Location loc=UnknownLoc()) |
| |
| PrimExpr | bitwise_xor (int a, const PrimExpr &b, Location loc=UnknownLoc()) |
| |
| PrimExpr | operator>> (const PrimExpr &a, int b) |
| |
| PrimExpr | operator>> (int a, const PrimExpr &b) |
| |
| PrimExpr | operator<< (const PrimExpr &a, int b) |
| |
| PrimExpr | operator<< (int a, const PrimExpr &b) |
| |
| PrimExpr | operator& (const PrimExpr &a, int b) |
| |
| PrimExpr | operator& (int a, const PrimExpr &b) |
| |
| PrimExpr | operator| (const PrimExpr &a, int b) |
| |
| PrimExpr | operator| (int a, const PrimExpr &b) |
| |
| PrimExpr | operator^ (const PrimExpr &a, int b) |
| |
| PrimExpr | operator^ (int a, const PrimExpr &b) |
| |
| PrimExpr | operator&& (const PrimExpr &a, bool b) |
| |
| PrimExpr | operator&& (bool a, const PrimExpr &b) |
| |
| PrimExpr | operator|| (const PrimExpr &a, bool b) |
| |
| PrimExpr | operator|| (bool a, const PrimExpr &b) |
| |
| PrimExpr | logical_and (const PrimExpr &a, bool b, Location loc=UnknownLoc()) |
| |
| PrimExpr | logical_and (bool a, const PrimExpr &b, Location loc=UnknownLoc()) |
| |
| PrimExpr | logical_or (const PrimExpr &a, bool b, Location loc=UnknownLoc()) |
| |
| PrimExpr | logical_or (bool a, const PrimExpr &b, Location loc=UnknownLoc()) |
| |
| template<typename TA > |
| void | DivAmbiguityError (const TA &a) |
| | Helper function to raise a compiler error about division ambiguity.
|
| |
| template<typename TB > |
| PrimExpr | operator/ (const PrimExpr &a, const TB &b) |
| |
| template<typename TB > |
| PrimExpr | operator/= (const PrimExpr &a, const TB &b) |
| |
| template<typename TB > |
| PrimExpr | operator% (const PrimExpr &a, const TB &b) |
| |
| TVM_TIRX_DLL bool | IsRegionOp (const Op &op) |
| | Check FRegionGetBodyParams registration without invoking it or creating variables.
|
| |
| TVM_TIRX_DLL ffi::Array< Var > | GetRegionBodyParams (Op op, ffi::Array< Expr > args, DictAttrs attrs) |
| | Validate region operands and construct fresh typed body parameters.
|
| |
| TVM_TIRX_DLL std::ostream & | operator<< (std::ostream &os, ForKind kind) |
| |
| const char * | ForKind2String (ForKind t) |
| |
| Type | VoidType () |
| |
| bool | IsVoidType (const Type &type) |
| | Check whether the tyep represents void.
|
| |
| TVM_TIRX_DLL std::string | RedirectedReprPrinterMethod (const ffi::ObjectRef &obj) |
| | Render an IR object for its registered repr callback.
|
| |
| TVM_TIRX_DLL std::string | Script (const ffi::ObjectRef &node, const ffi::Optional< PrinterConfig > &config=std::nullopt) |
| | Print an IR object as TVMScript, using repr when no translation hook exists.
|
| |
| PrimExpr | max (PrimExpr source, ffi::Array< s_tir::IterVar > axis, ffi::Array< PrimExpr > init={}, Location loc=UnknownLoc()) |
| | max of source expression over axis
|
| |
| PrimExpr | min (PrimExpr source, ffi::Array< s_tir::IterVar > axis, ffi::Array< PrimExpr > init={}, Location loc=UnknownLoc()) |
| | max of source expression over axis
|
| |